
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>深入分析MySQL数据库索引 / iVAN</title>

    <meta name="description" content="深入分析MySQL数据库索引 什么是索引 索引是存储引擎用于快速找到记录的一种数据结构,索引类似一本书的目录,我们根据目录可以快速的查找到我们感兴趣的内容.索引就是存储引擎的目录,如果没有索引存储引擎必须遍历整个数据库表来查询符合条件的记录,索引的建立和优化应该是提升查询性能最有效的手段了. 索引的类型 索引是在MYSQL的存储引擎层中实现的,而不是在服务层实现的.所以每种存储引擎的索引都不一定完全相同,也不是所有的存储引擎都支持所有的索引类型.即使多个存储引擎支持同一种类型的索引,其底层实现也可能不同. B-Tree索引">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">深入分析MySQL数据库索引</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>什么是索引</strong></p>
<p>索引是存储引擎用于快速找到记录的一种数据结构，索引类似一本书的目录，我们根据目录可以快速的查找到我们感兴趣的内容。索引就是存储引擎的目录,如果没有索引存储引擎必须遍历整个数据库表来查询符合条件的记录,索引的建立和优化应该是提升查询性能最有效的手段了。</p>
<p><strong>索引的类型</strong></p>
<p>索引是在MYSQL的存储引擎层中实现的，而不是在服务层实现的。所以每种存储引擎的索引都不一定完全相同，也不是所有的存储引擎都支持所有的索引类型。即使多个存储引擎支持同一种类型的索引，其底层实现也可能不同。</p>
<p><strong>B-Tree索引</strong></p>
<p>B-Tree是MyISAM和InnoDB引擎默认索引类型，也可以在创建索引时通过USING BTTREE来显示指定。B-Tree是一种多叉平衡树，B-Tree 结构可以显著减少定位记录时所经历的中间过程，从而加快存取速度。一般用于数据库的索引，综合效率较高。</p>
<p>B-Tree索引的应用场景</p>
<p>等值匹配</p>
<p>可用于= != &lt;&gt; IN NOT IN &lt;=&gt;查询语句的优化</p>
<p><strong>范围匹配</strong></p>
<p>可用于 &gt; &gt;= &lt; &lt;= BTEWEEN AND等范围查询语句的优化</p>
<p><strong>匹配最左前缀</strong></p>
<p>对于 name like bai% 这种后模糊匹配的查询，是可以利用name字段上建立的索引来优化查询的，但是对于name like %bai这种前模糊匹配的查询则没有办法使用索引了</p>
<p><strong>覆盖索引</strong></p>
<p>覆盖索引是指所有需要查询的字段都在索引已经存在了，那么就不需要再去查询数据了，这种查询效率很高。 <br />
select id where id &gt;100</p>
<p><strong>排序</strong></p>
<p>B-Tree索引是排好序的,所以MySQL可以用来做ORDER BY 和 GROUP BY操作。</p>
<p><strong>哈希索引(HASH)</strong></p>
<p>哈希索引基于哈希表实现,只有Memory引擎显示支持哈希索引，使用哈希索引可以一次定位，所以 Hash 索引的查询效率要远高于 B-Tree 索引。但是哈希索引是有很多限制的:</p>
<p>只有精确匹配索引所有列的查询才有效，因为哈希索引是利用索引的所有列的字段值来计算哈希值的，<br />
只支持等值比较查询，不能用于范围查询。</p>
<p>哈希索引的只包含索引字段的哈希值he和指向数据的指针，所以不能使用索引中的值来避免读取行。<br />
哈希索引的数据并不是顺序存储的，无法用于排序。</p>
<p><strong>全文索引(FULLTEXT)</strong></p>
<p>全文索引，是一种通过建立倒排索引，快速匹配文档的方式。</p>
<p>空间索引(SPATIAL)</p>
<p>聚集索引&amp;非聚集索引</p>
<p><strong>聚集索引</strong></p>
<p>聚集索引并不是一种单独的索引类型，而是一种数据存储方式，Innode的聚集索引实际上是将主键(PRIMARY kEY )与数据行存放在同一个文件的,一张表只能有一个聚集索引。 </p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS9pbWFnZTU3YzFhMzQ5ZDU0OWE1LjQ2MDc0NTg2LmpwZw==.jpg"><br />InnoDB要求表必须有主键（MyISAM可以没有），如果没有显式指定，则MySQL系统会用一个唯一且不为空的索引列做为主键，如果不存在这种列，则MySQL自动为InnoDB表生成一个隐含字段作为主键。</p>
<p>INNODB的普通索引(二级索引)的叶子节点中存放的是PRIMARY KEY的值,所以需要先查询普通索引(二级索引)的叶子节点找到对应的主键值，然后再根据主键值去聚集索引中查询到对应的数据。 </p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS9pbWFnZTU3YzFhMzUwNGZjNjE5LjE2MjM0NTM0LmpwZw==.jpg"><br />InnoDB将主键与数据聚集在一起的方式，使得按主键顺序的插入和查询效率会很高，但是更新主键的字段或者不按主键的顺序插入数据的代价会比较高，所以主键的选取很重要(使用AUTO INCREMENT字段或者应用程序生成的顺序递增字段要比无序的UUID好的多)<br />
二级索引会保存主键的值，所以主键的值不要太大。</p>
<p><strong>非聚集索引</strong></p>
<p>非聚集索引的索引与数据是存在在不同文件的,对于MyISAM引擎的一张表,会有三种文件:FRM(表结构)、MYD（数据，就是数据库中的每个行）、MYI（索引）。</p>
<p>MySQl使用索引查询数据时，先到MYI文件中找出数据存储的位置指针，然后再到MYD文件中读取数据。 </p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS9pbWFnZTU3YzFhMzZhNTM5Njk1LjkyMzM2MDIzLmpwZw==.jpg"><br />MyISAM中主键索引和其他索引在结构上没有什么不同，主键索引就是一个名为PRIMARY的唯一非空索引。</p>
<p><strong>索引操作</strong></p>
<p><strong>创建</strong></p>
<p>在执行CREATE TABLE语句时可以创建索引，也可以单独用CREATE INDEX或ALTER TABLE来为表增加索引。</p>
<p>CREATE TABLE<br />
CREATE TABLE  table_name( <br />
column_name data_type, <br />
...... <br />
[UNIQUE|FULLTEXT|SPATIAL] {INDEX|KEY} index_name [USING {BTREE | HASH}] (col_name [(length)] [ASC | DESC]...)<br />
);<br />
ALTER TABLE<br />
ALTER TABLE table_name ADD [UNIQUE|FULLTEXT|SPATIAL] INDEX index_name [USING {BTREE | HASH}] (col_name [(length)] [ASC | DESC]...)<br />
ALTER TABLE table_name ADD PRIMARY KEY (col_name [(length)] [ASC | DESC]..)<br />
CREATE INDEX<br />
CREATE [UNIQUE|FULLTEXT|SPATIAL] INDEX index_name [USING {BTREE | HASH}] ON tbl_name (col_name [(length)] [ASC | DESC],...)</p>
<p><strong>删除</strong></p>
<p>DROP INDEX index_name ON talbe_name<br />
ALTER TABLE table_name DROP INDEX index_name</p>
<p><strong>查看</strong></p>
<p>SHOW INDEX FROM table_name</p>
<p><strong>高效索引策略</strong></p>
<p>Although it can be tempting to create an indexes for every possible column used in a query, unnecessary indexes waste space and waste time for MySQL to determine which indexes to use. Indexes also add to the cost of inserts, updates, and deletes because each index must be updated. You must find the right balance to achieve fast queries using the optimal set of indexes.</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-18 13:31:20</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/%e5%ad%98%e5%82%a8/" title="存储">存储</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae/" title="数据">数据</a>, <a href="https://www.iamivan.net/tag/%e7%b4%a2%e5%bc%95/" title="索引">索引</a>, <a href="https://www.iamivan.net/tag/%e7%b1%bb%e5%9e%8b/" title="类型">类型</a>, <a href="https://www.iamivan.net/tag/%e5%93%88%e5%b8%8c/" title="哈希">哈希</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>深入分析MySQL数据库索引的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0Pdw8M.html" rel="bookmark">mysql数据库索引损坏及修复经验分享</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  这篇文章主要介绍了mysql数据库索引损坏及修复经验分享,需要的朋友可以参考下 mysql表索引被破坏的问题及解决 下午上班,惊闻我的dedecms的网站出问题了,访问一看,果然全屏报错,检查mysql日志,错误信息为: Table '.dedecmsv4dede_archives' is marked as crashed and should be repaired 提示说cms的文章表dede_archives被标记有问题,需要修复.于是赶快恢复历史数据,上网查找原因.最终将问题解决.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/YMROZkp.html" rel="bookmark">浅谈PHP开发中MySQL数据库索引的经验</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				假如我们创建了一个testIndex表:CREATE TABLE testIndex(i_testID INT NOT NULL,vc_Name VARCHAR(16) NOT NULL); 我们随机向里面插入了1000条记录,其中有一条    i_testID    vc_Name      555    erquan     在查找vc_Name=&quot;erquan&quot;的记录SELECT * FROM testIndex WHERE vc_Name='erquan';时,如果在vc_Na			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8jOVPb.html" rel="bookmark">MySQL数据库索引使用方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  走向精通MySQL的道路非常的艰难,还好各种关系型数据库大同小异,足够让我从增删改查上升到高性能数据库的架构和调优.这期间的各种概念就不絮叨了,我也很难表述的很清楚,昨天写了个小脚本往我本机MySQL数据库的某张表里面注入了200万条数据(Windows7旗舰版/1.66GHz/2G内存/MySQL5.1.50),数据表的结构如下图所示,属于一个比较基本的定长表,考虑到我可怜的本本的承受能力,id使用从1开始的自增,title字段为随机20个标题中的一个,content都是相同的内容,tim			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPlLV1p.html" rel="bookmark">mysql数据库索引损坏及修复经验分享&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				mysql表索引被破坏的问题及解决 下午上班,惊闻我的dedecms的网站出问题了,访问一看,果然全屏报错,检查mysql日志,错误信息为: Table '.\dedecmsv4\dede_archives' is marked as crashed and should be repaired 提示说cms的文章表dede_archives被标记有问题,需要修复.于是赶快恢复历史数据,上网查找原因.最终将问题解决.解决方法如下: 找到mysql的安装目录的bin/myisamchk工具,在命令			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bByW4Jz.html" rel="bookmark">MySql数据库索引优化注意事项</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				设计好MySql的索引可以让你的数据库飞起来,大大的提高数据库效率.设计MySql索引的时候有一下几点注意: 1,创建索引 对于查询占主要的应用来说,索引显得尤为重要.很多时候性能问题很简单的就是因为我们忘了添加索引而造成的,或者说没有添加更为有效的索引导致.如果不加索引的话,那么查找任何哪怕只是一条特定的数据都会进行一次全表扫描,如果一张表的数据量很大而符合条件的结果又很少,那么不加索引会引起致命的性能下降.但是也不是什么情况都非得建索引不可,比如性别可能就只有两个值,建索引不仅没什么优势,还			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mg0yR8p.html" rel="bookmark">【数据库】mysql数据库索引</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文章归属:http://feiyan.info/16.html,我想自己去写了,但是发现此君总结的非常详细.直接搬过来了 关于MySQL索引的好处,如果正确合理设计并且使用索引的MySQL是一辆兰博基尼的话,那么没有设计和使用索引的MySQL就是一个人力三轮车.对于 没有索引的表,单表查询可能几十万数据就是瓶颈,而通常大型网站单日就可能会产生几十万甚至几百万的数据,没有索引查询会变的非常缓慢.还是以 WordPress来说,其多个数据表都会对经常被查询的字段添加索引,比如wp_comments表			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJ7ddJb.html" rel="bookmark">详解MySQL数据库索引的选择性</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在MySQL中,对于索引的使用并是一直都采用正确的决定. 简单表的示例: create TABLE `r2` ( ID` int(11) DEFAULT NULL, ID1` int(11) DEFAULT NULL, CNAME` varchar(32) DEFAULT NULL, KEY `ID1` (`ID1`) ) ENGINE=MyISAM DEFAULT charSET=latin1 select count(*) FROM r2; 250001 (V1) select count(			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7k6wAz.html" rel="bookmark">MySQL数据库索引查询优化的分享</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述: 我们要访问的表是一个非常大的表,四千万条记录,id是主键,program_id上建了索引. 执行一条SQL: select * from program_access_log where program_id between 1 and 4000 这条SQL非常慢. 我们原以为处理记录太多的原因,所以加了id限制,一次只读五十万条记录 select * from program_access_log where id between 1 and 500000 and program_			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJO446b.html" rel="bookmark">mysql数据库索引详解用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				索引 使用索引可快速访问数据库教程表中的特定信息.索引是对数据库表中一列或多列的值进行排序的一种结构,例如 employee 表的姓(lname)列.如果要按姓查找特定职员,与必须搜索表中的所有行相比,索引会帮助您更快地获得该信息. 索引提供指向存储在表的指定列中的数据值的指针,然后根据您指定的排序顺序对这些指针排序.数据库使用索引的方式与您使用书籍中的索引的方式很相似:它搜索索引以找到特定值,然后顺指针找到包含该值的行. 在数据库关系图中,您可以在选定表的&quot;索引/键&quot;属性页中创建.编			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMre7jb.html" rel="bookmark" class="title">接收Cookies</a>
					<div>
						cookie|cookies|cookie 例子用于接收cookies.&lt;TABLE BORDER=&quot;2&quot;&gt;&lt;THEAD&gt;&lt;TH&gt;Cookie  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLV1Lb.html" rel="bookmark" class="title">ASP程序实现可以保存参数值的分页功能</a>
					<div>
						程序|分页 &lt;%''+++++++++++++++++++++++++++++++++++++++++++++++++++++++''调用例子'Dim int_RPP,int_Start,int ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBWVNM.html" rel="bookmark" class="title">交互设计实例&colon;网易邮箱的如虎添翼设计</a>
					<div>
						    地址链接:http://mimg.163.com/hd/all/100127_tiger/home.htm   项目内容:网易邮箱计划在新的一年密集推出一批功能服务,为配合这几项新功能的发布, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKRr1M.html" rel="bookmark" class="title">再接再厉 继续优化Windows Vista</a>
					<div>
						相信很多朋友已经用了微软最新的操作系统Windows Vista,这里笔者介绍四则比较实用的优化技巧: 技巧一:自动实现磁盘碎片整理 随着硬盘使用时间的增加,硬盘上产生的文件碎片也会随之增加,严重时可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2ynjkz.html" rel="bookmark" class="title">Struts HTML标签库大全</a>
					<div>
						&lt; html:form&gt; &lt; ?xml:namespace prefix = html /&gt;&lt; html:form&gt;用来创建表单,&lt; html:form&gt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAa45JM.html" rel="bookmark" class="title">Photoshop合成超酷的黑寡妇电影海报教程</a>
					<div>
						  效果图: 案例分析: 素材整理: 制作步骤:1.新建画布 2.用橡皮擦除多余的部分,合并图层,命令场景模糊. 3.添加爆炸效果 4.添加人物 5.添加人物环境光. 6.渲染手枪 7.用3D制作胸前 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKwB5p.html" rel="bookmark" class="title">Win8系统便签如何使用</a>
					<div>
						  方法如下: 1.鼠标移动到桌面右上角,在弹出的导航栏上点击&quot;搜索&quot;; 2.在搜索框中输入&quot;便签&quot;,在搜索结果中点击便签应用; 3.这时桌面就会自动创建一个新 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEWQQPp.html" rel="bookmark" class="title">YOGA 11S&sol;13 升级Windows 8&period;1后平板模式卡</a>
					<div>
						  知识点分析: 升级Windows 8.1系统后,平板模式操作很卡. 操作步骤: 关机状态下,点开机按键左侧凹进去的小按钮(可以找个笔去点). 选择BIOS Setup选项,点回车; 进入BIOS后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8Qq8p.html" rel="bookmark" class="title">【人机对话】阿里云人工智能ET化身CEO，对话蜻蜓FM猫局长</a>
					<div>
						猛戳链接,直击现场:未来科技局 | 独家连线阿里巴巴未来CEO 11月29日,阿里云人工智能ET化身阿里巴巴CEO,参加蜻蜓FM猫眼未来科技局栏目,对话猫局长.人机对话,妙趣横生. 此外,12月1日, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd64r4b.html" rel="bookmark" class="title">中国大数据技术大会走向新阶段</a>
					<div>
						摘要: 由中国计算机协会(CCF)主办,CCF大数据专家委员会协办,中科院计算所与CSDN共同承办的第七届中国大数据技术大会(Big Data Technology Conference 2013,B ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9YEkkM.html" rel="bookmark" class="title">请教怎么配置springmvc&plus;spring&plus;mybatis的事务，手动控制的</a>
					<div>
						问题描述 请教怎么配置springmvc+spring+mybatis的事务,手动控制的 请教怎么配置springmvc+spring+mybatis的事务,手动控制的 解决方案 mybatis sp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN7kDWp.html" rel="bookmark" class="title">tomcat内退，求解！！！！！！！！！！！！！！！</a>
					<div>
						问题描述 tomcat内退,求解!!!!!!!!!!!!!!! 23-Jan-2015 08:48:06.634 INFO [main] org.apache.catalina.startup.Ver ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3EAPz.html" rel="bookmark" class="title">理解ORACLE 字符集【转】</a>
					<div>
						一.引言     ORACLE数据库字符集,即Oracle全球化支持(Globalization Support),或即国家语言支持(NLS)其作用是用本国语言和格式来存储.处理和检索数据.利用全球化 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Y0lZM.html" rel="bookmark" class="title">spfa优化 SLF LLL</a>
					<div>
						2013.10.23 更新 之前写的时候不知道在想什么,整理模板时才发现写挫了,现在重发一个 SPFA 是按照 FIFO 的原则更新距离的, 没有考虑到距离标号的作用. 实现中 SPFA 有两个非常著 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBl4lb.html" rel="bookmark" class="title">windows驱动程序wdf--KMDF获取应用程序数据缓冲区地址</a>
					<div>
						有3种常用方式:METHOD_BUFFERED  METHOD_IN_DIRECT  METHOD_OUT_DIRECT   还有METHOD_NEITHER,&lt;windows设备驱动WDF开发 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZOAmz.html" rel="bookmark" class="title">ios 环信点击自己发送出去后的位置信息的图片，系统崩溃</a>
					<div>
						问题描述 ios 环信我点击发送位置信息,发送成功后 解决方案 崩溃描述是什么					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRx4Bb.html" rel="bookmark" class="title">Google 排名中的10 个最著名的JavaScript 库</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 JavaScript 是 Web 开发与设计中不可或缺的东西,不管是一个简单的网页还是一个专业的站点,也不管你是高手还是菜鸟,如今 JavaScript ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBkqnM.html" rel="bookmark" class="title">android fragment点击返回键实现内容切换？</a>
					<div>
						问题描述 android fragment点击返回键实现内容切换? 我有一个fragment,上有一个button和textview,默认button是隐藏的,通过点击菜单栏上的一个详细信息的按钮,将 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bod5rdM.html" rel="bookmark" class="title">hibernate中出现的异常，help&excl;</a>
					<div>
						问题描述 我在保存时出现了此错误,异常代码:Hibernate:insertintoSTATICS.MatchUserList(SALES,LASTSALES,TRANSFOR_RATE,BACK_R ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQ67kp.html" rel="bookmark" class="title">如何互相同步两个相同的sql数据库</a>
					<div>
						以下实现复制步骤(以快照复制为例) 运行平台SQL SERVER 2005 一.准备工作: 1．建立一个 WINDOWS 用户,设置为管理员权限,并设置密码,作为发布快照文件的有效访问用户. 2．在S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPk7k1M.html" rel="bookmark" class="title">知名大数据专家杨正洪博士加入SinoBBD</a>
					<div>
						文章讲的是知名大数据专家杨正洪博士加入SinoBBD,4月17日消息,北京供销大数据集团(SinoBBD)宣布,国内外知名大数据专家杨正洪博士正式加入集团,并将担任SinoBBD大数据管理平台负责人. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNnrGJM.html" rel="bookmark" class="title">运营商NFV落地之困 择商用软件还是自主研发？</a>
					<div>
						目前,NFV的主要目标是实现传统网络.网元设备的软硬件分离.网元功能的软件化.可以进行云化.按需动态伸缩.自动化部署和编排以及将来实现智能化网络运营. 采用商用软件和自主研发各有利弊 NFV的总体趋势 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBk2RkM.html" rel="bookmark" class="title">Mirae增持金山软件逾2037万股</a>
					<div>
						11月12日下午消息,联交所资料显示,韩国最大共同基金公司Mirae于11月6日,以每股平均价6.75港元,增持金山软件(03888.HK)2037.3万股至5.97%.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmRoDp.html" rel="bookmark" class="title">受阿里巴巴62亿港币入股文化中国消息推动</a>
					<div>
						3月12日上午消息,受阿里巴巴62亿港币入股文化中国消息推动,文化中国今日复牌大涨400%.截至10:00,报3.21港元,涨幅达到401.4%. 文化中国昨日发布公告称,获得阿里巴巴集团62.44亿 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEy8Oz.html" rel="bookmark" class="title">总结MySQL建表、查询优化的一些实用小技巧&lowbar;Mysql</a>
					<div>
						MySQL建表阶段是非常重要的一个环节,表结构的好坏.优劣直接影响着后续的管理维护,赶在明天上班前分享总结个人MySQL建表.MySQL查询优化积累的一些实用小技巧. 技巧一.数据表冗余记录添加时间与 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwKPDWz.html" rel="bookmark" class="title">anroid开发教程之spinner下拉列表的使用示例&lowbar;Android</a>
					<div>
						首先在xml文件添加Spinner控件: 复制代码 代码如下: &lt;Spinner         android:id=&quot;@+id/mySpinner&quot;        and ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyW1Xdz.html" rel="bookmark" class="title">分享两款带遮罩的jQuery弹出框&lowbar;jquery</a>
					<div>
						第一款:页面遮罩弹出框是最常见的一种状况,用jQuery完成页面遮罩弹出框,主要用的技能有JQuery,css与html.  html代码下列: &lt;div id=&quot;main&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEgGEz.html" rel="bookmark" class="title">对 jQuery 中 data 方法的误解分析&lowbar;jquery</a>
					<div>
						今天 谢亮 兄弟和我讨论一个东西的时候,谈到了性能,他用的是 attr 操作自定义属性 data-uid,我说用 data 好,因为是 dataset 实现,然后他去翻了下 jQuery 源码和我说, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2ZKwob.html" rel="bookmark" class="title">如何集成Perf4j到Java应用程序中并生成性能数据</a>
					<div>
						在实际部署的生产环境能够以较低的风险及成本实现对业务逻辑级别性能问题的追踪.本文将介绍如何集成 Perf4j 到 Java 应用程序中并生成性能数据. 系统日志是应用程序问题诊断及运行维护的重要工具. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV72yDb.html" rel="bookmark" class="title">jOOQ 2&period;0&period;4发布 Java 类库</a>
					<div>
						jOOQ是一款能够高效合并了复杂的SQL.类型安全.源码生成.活动记录.预存程序以及高级http://www.aliyun.com/zixun/aggregation/18278.html&quot; ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.032 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
